# Move an Entity

Move an existing Inline entity to Remote.

Endpoint: POST /v1/entities/move/{scope}/{kind}/{identifier}
Version: 1.0
Security: x-api-key

## Query parameters:

  - `orgIdentifier` (string)
    Unique identifier of the organization within the account

  - `projectIdentifier` (string)
    Unique identifier of the project within the organization

## Path parameters:

  - `scope` (string, required)
    Scope of the entity (account, account.orgId, account.orgId.projectId)

  - `kind` (string, required)
    Kind of the entity (e.g., component, api, resource, user, workflow)

  - `identifier` (string, required)
    Unique identifier of the entity within its scope and kind

## Header parameters:

  - `Harness-Account` (string)
    Identifier field of the account the resource is scoped to.

## Request fields (application/json):

  - `git_details` (object, required)
    Parameters related to moving an entity for Git Experience.

  - `git_details.branch_name` (string, required)
    Name of the branch. When moving an inline pipeline or a remote pipeline, this branch is where the remote entity is created or fetched.

  - `git_details.file_path` (string, required)
    File path of the entity in the repository.

  - `git_details.commit_message` (string)
    Merge commit message.

  - `git_details.base_branch` (string)
    Default branch name. This checks out the branch titled branch_name

  - `git_details.connector_ref` (string, required)
    Harness connector id used for entity CRUD operations

  - `git_details.repo_name` (string, required)
    Name of the repository.

  - `git_details.is_harness_code_repo` (boolean)
    Is Git Experience repo harness code.

  - `entity_move_operation_type` (string, required)
    Operation type to move the entity
    Enum: "INLINE_TO_REMOTE", "REMOTE_TO_INLINE"

## Response 201 fields (application/json):

  - `status` (string, required)


